Bug 733811 - skip-broken ERROR with rpm_check_debug vs depsolve (possible distry-sync)
Summary: skip-broken ERROR with rpm_check_debug vs depsolve (possible distry-sync)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-27 00:01 UTC by Mads Kiilerich
Modified: 2014-01-21 23:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:58:53 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-08-27 00:01:16 UTC
Running 
yum --releasever=16 --disableplugin=presto --skip-broken distro-sync
on my f15 system I got 

...
Updating:
 pulseaudio-gdm-hooks   0.9.23-1.fc16
...
Updating for dependencies:
...
 pulseaudio             0.9.22-5.fc16
...
Skipped (dependency problems):
...
 pulseaudio             0.9.23-1.fc16
 pulseaudio-libs        0.9.23-1.fc16
 pulseaudio-libs-glib2  0.9.23-1.fc16
 pulseaudio-libs-zeroconf 0.9.23-1.fc16
 pulseaudio-module-bluetooth 0.9.23-1.fc16
 pulseaudio-module-gconf 0.9.23-1.fc16
 pulseaudio-module-x11  0.9.23-1.fc16
 pulseaudio-utils       0.9.23-1.fc16
...
Total   5.6 MB/s | 1.2 GB     03:34     
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
pulseaudio = 0.9.22-5.fc15 is needed by (installed) pulseaudio-module-gconf-0.9.22-5.fc15.i686
pulseaudio = 0.9.22-5.fc15 is needed by (installed) pulseaudio-module-x11-0.9.22-5.fc15.i686
pulseaudio = 0.9.22-5.fc15 is needed by (installed) pulseaudio-module-bluetooth-0.9.22-5.fc15.i686
Please report this error in http://yum.baseurl.org/report
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2011-08-27-01-41_4pfNG.yumtx


I assume these errors should have been detected in the resolve phase before the downloads and before the transaction.

Installed:
yum-3.2.29-9.fc15.noarch
rpm-4.9.1.1-1.fc15.i686

pulseaudio-0.9.22-5.fc15.i686
pulseaudio-gdm-hooks-0.9.22-5.fc15.i686
pulseaudio-libs-0.9.22-5.fc15.i686
pulseaudio-libs-glib2-0.9.22-5.fc15.i686
pulseaudio-libs-zeroconf-0.9.22-5.fc15.i686
pulseaudio-module-bluetooth-0.9.22-5.fc15.i686
pulseaudio-module-gconf-0.9.22-5.fc15.i686
pulseaudio-module-x11-0.9.22-5.fc15.i686
pulseaudio-utils-0.9.22-5.fc15.i686

Comment 1 Mads Kiilerich 2011-08-27 02:14:25 UTC
I just noticed almost the same message while running an ordinary 'yum update' on my f15 laptop:

Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
authconfig is needed by systemd-26-9.fc15.i686

This issue might thus be related to bug 729973. That issue is however just a minor annoyance while this (the pulseaudio thing) is a showstopper for updates.

Comment 2 Mads Kiilerich 2011-08-27 02:24:35 UTC
(In reply to comment #1)
> Running rpm_check_debug
> ERROR with rpm_check_debug vs depsolve:
> authconfig is needed by systemd-26-9.fc15.i686

I forgot to mention: this update would update systemd, and authconfig was thus required in this transaction - but it wasn't a dependency violation that authconfig wasn't installed before.

Comment 3 James Antill 2011-08-29 16:52:36 UTC
 Pretty sure this is just a skip-broken thing, as it looks like one set of versions gets into the transaction ... but then some get moved down to older versions (which are still newer than what is installed). I assume there are no downgrades? Does "yum upgrade" do the same thing?

Comment 4 Mads Kiilerich 2011-08-29 17:15:17 UTC
Correct, it seems like there is no downgrades when I reproduce it now. IIRC there were some downgrades when I reported this.


Yes, upgrades do the same thing:

[root@dev-mk ~]# yum --releasever=16 --disableplugin=presto --skip-broken upgrade
...
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
pulseaudio = 0.9.22-5.fc15 is needed by (installed) pulseaudio-module-gconf-0.9.22-5.fc15.i686
pulseaudio = 0.9.22-5.fc15 is needed by (installed) pulseaudio-module-x11-0.9.22-5.fc15.i686
pulseaudio = 0.9.22-5.fc15 is needed by (installed) pulseaudio-module-bluetooth-0.9.22-5.fc15.i686
Please report this error in http://yum.baseurl.org/report
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2011-08-29-18-597DcthX.yumtx

Comment 5 Fedora Admin XMLRPC Client 2012-04-27 15:40:12 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora End Of Life 2012-08-07 17:58:55 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.